diff -ru extract/pidgin-2.10.9/libpurple/protocols/msn/slpmsg_part.h libpurple/protocols/msn/slpmsg_part.h
--- extract/pidgin-2.10.9/libpurple/protocols/msn/slpmsg_part.h	2014-02-02 22:29:18.000000000 +0100
+++ libpurple/protocols/msn/slpmsg_part.h	2015-05-04 13:42:04.488970478 +0200
@@ -46,7 +46,7 @@
 
 MsnSlpMessagePart *msn_slpmsgpart_new(MsnP2PInfo *info);
 
-MsnSlpMessagePart *msn_slpmsgpart_new_from_data(MsnP2PVersion p2p, const char *data, size_t data_len);
+MsnSlpMessagePart *msn_slpmsgpart_new_from_data(const char *data, size_t data_len);
 
 MsnSlpMessagePart *msn_slpmsgpart_ref(MsnSlpMessagePart *part);
 
diff -ru extract/pidgin-2.10.9/libpurple/protocols/msn/switchboard.c libpurple/protocols/msn/switchboard.c
--- extract/pidgin-2.10.9/libpurple/protocols/msn/switchboard.c	2014-02-02 22:29:18.000000000 +0100
+++ libpurple/protocols/msn/switchboard.c	2015-05-04 13:42:04.492970478 +0200
@@ -421,10 +421,9 @@
 
 	purple_debug_info("msn", "unqueuing unsent message to %s\n", swboard->im_user);
 
-	if (msn_switchboard_request(swboard)) {
-		msn_switchboard_request_add_user(swboard, swboard->im_user);
-		swboard->reconn_timeout_h = 0;
-	}
+	msn_switchboard_request(swboard);
+	msn_switchboard_request_add_user(swboard, swboard->im_user);
+	swboard->reconn_timeout_h = 0;
 	return FALSE;
 }
 
@@ -1073,13 +1072,13 @@
 	swboard_error_helper(swboard, reason, swboard->im_user);
 }
 
-gboolean
+void
 msn_switchboard_request(MsnSwitchBoard *swboard)
 {
 	MsnCmdProc *cmdproc;
 	MsnTransaction *trans;
 
-	g_return_val_if_fail(swboard != NULL, FALSE);
+	g_return_if_fail(swboard != NULL);
 
 	cmdproc = swboard->session->notification->cmdproc;
 
@@ -1089,7 +1088,7 @@
 	msn_transaction_set_data(trans, swboard);
 	msn_transaction_set_error_cb(trans, xfr_error);
 
-	return msn_cmdproc_send_trans(cmdproc, trans);
+	msn_cmdproc_send_trans(cmdproc, trans);
 }
 
 void
diff -ru extract/pidgin-2.10.9/libpurple/protocols/msn/switchboard.h libpurple/protocols/msn/switchboard.h
--- extract/pidgin-2.10.9/libpurple/protocols/msn/switchboard.h	2014-02-02 22:29:18.000000000 +0100
+++ libpurple/protocols/msn/switchboard.h	2015-05-04 13:42:04.492970478 +0200
@@ -250,7 +250,7 @@
 gboolean msn_switchboard_chat_leave(MsnSwitchBoard *swboard);
 gboolean msn_switchboard_chat_invite(MsnSwitchBoard *swboard, const char *who);
 
-gboolean msn_switchboard_request(MsnSwitchBoard *swboard);
+void msn_switchboard_request(MsnSwitchBoard *swboard);
 void msn_switchboard_request_add_user(MsnSwitchBoard *swboard, const char *user);
 
 /**
diff -ru extract/pidgin-2.10.9/libpurple/protocols/msn/tlv.c libpurple/protocols/msn/tlv.c
--- extract/pidgin-2.10.9/libpurple/protocols/msn/tlv.c	2014-02-02 22:29:18.000000000 +0100
+++ libpurple/protocols/msn/tlv.c	2015-05-04 13:42:04.492970478 +0200
@@ -45,62 +45,51 @@
 	g_free(oldtlv);
 }
 
-GSList *
-msn_tlvlist_read(const char *bs, size_t bs_len)
+static GSList *
+msn_tlv_read(GSList *list, const char *bs, size_t *bs_len)
 {
-	GSList *list = NULL;
+	guint8 type, length;
+	msn_tlv_t *tlv;
 
-	while (bs_len > 0) {
-		guint8 type, length;
-		msn_tlv_t *tlv;
+	type = msn_read8(bs);
+	length = msn_read8(bs);
+	*bs_len -= 2;
 
-		if (bs_len == 3 && *bs == 0) {
-			/* Padding to multiple of 4 */
-			break;
-		} else if (bs_len == 2 && *bs == 0) {
-			/* Padding to multiple of 4 */
-			break;
-		} else if (bs_len == 1) {
-			if (*bs == 0) {
-				/* Padding to multiple of 4 */
-				break;
-			} else {
-				/* TLV is not small enough to fit here */
-				msn_tlvlist_free(list);
-				return NULL;
-			}
-		}
-
-		type = msn_pop8(bs);
-		length = msn_pop8(bs);
-		bs_len -= 2;
+	if (length > *bs_len) {
+		msn_tlvlist_free(list);
+		return NULL;
+	}
 
-		if (length > bs_len) {
+	tlv = createtlv(type, length, NULL);
+	if (length > 0) {
+		tlv->value = g_memdup(bs, length);
+		if (!tlv->value) {
+			freetlv(tlv);
 			msn_tlvlist_free(list);
 			return NULL;
 		}
+	}
 
-		tlv = createtlv(type, length, NULL);
-		if (length > 0) {
-			tlv->value = g_memdup(bs, length);
-			if (!tlv->value) {
-				freetlv(tlv);
-				msn_tlvlist_free(list);
-				return NULL;
-			}
-		}
+	*bs_len -= length;
+
+	return g_slist_prepend(list, tlv);
+}
 
-		bs_len -= length;
-		bs += length;
+GSList *
+msn_tlvlist_read(const char *bs, size_t bs_len)
+{
+	GSList *list = NULL;
 
-		list = g_slist_prepend(list, tlv);
+	while (bs_len > 0) {
+		list = msn_tlv_read(list, bs, &bs_len);
+		if (list == NULL)
+			return NULL;
 	}
 
 	return g_slist_reverse(list);
 }
 
-GSList *
-msn_tlvlist_copy(GSList *orig)
+GSList *msn_tlvlist_copy(GSList *orig)
 {
 	GSList *new = NULL;
 	msn_tlv_t *tlv;
@@ -169,7 +158,7 @@
 }
 
 int
-msn_tlvlist_add_raw(GSList **list, const guint8 type, const guint8 length, const char *value)
+msn_tlvlist_add_raw(GSList **list, const guint16 type, const guint16 length, const char *value)
 {
 	msn_tlv_t *tlv;
 
@@ -186,7 +175,7 @@
 }
 
 int
-msn_tlvlist_add_8(GSList **list, const guint8 type, const guint8 value)
+msn_tlvlist_add_8(GSList **list, const guint16 type, const guint8 value)
 {
 	char v8[1];
 
@@ -196,7 +185,7 @@
 }
 
 int
-msn_tlvlist_add_16(GSList **list, const guint8 type, const guint16 value)
+msn_tlvlist_add_16(GSList **list, const guint16 type, const guint16 value)
 {
 	char v16[2];
 
@@ -206,7 +195,7 @@
 }
 
 int
-msn_tlvlist_add_32(GSList **list, const guint8 type, const guint32 value)
+msn_tlvlist_add_32(GSList **list, const guint16 type, const guint32 value)
 {
 	char v32[4];
 
@@ -216,25 +205,19 @@
 }
 
 int
-msn_tlvlist_add_str(GSList **list, const guint8 type, const char *value)
+msn_tlvlist_add_str(GSList **list, const guint16 type, const char *value)
 {
 	return msn_tlvlist_add_raw(list, type, strlen(value), value);
 }
 
 int
-msn_tlvlist_add_empty(GSList **list, const guint8 type)
+msn_tlvlist_add_empty(GSList **list, const guint16 type)
 {
 	return msn_tlvlist_add_raw(list, type, 0, NULL);
 }
 
 int
-msn_tlvlist_add_tlv(GSList **list, const msn_tlv_t *tlv)
-{
-	return msn_tlvlist_add_raw(list, tlv->type, tlv->length, (const char *)tlv->value);
-}
-
-int
-msn_tlvlist_replace_raw(GSList **list, const guint8 type, const guint8 length, const char *value)
+msn_tlvlist_replace_raw(GSList **list, const guint16 type, const guint16 length, const char *value)
 {
 	GSList *cur;
 	msn_tlv_t *tlv;
@@ -263,19 +246,19 @@
 }
 
 int
-msn_tlvlist_replace_str(GSList **list, const guint8 type, const char *str)
+msn_tlvlist_replace_str(GSList **list, const guint16 type, const char *str)
 {
 	return msn_tlvlist_replace_raw(list, type, strlen(str), str);
 }
 
 int
-msn_tlvlist_replace_empty(GSList **list, const guint8 type)
+msn_tlvlist_replace_empty(GSList **list, const guint16 type)
 {
 	return msn_tlvlist_replace_raw(list, type, 0, NULL);
 }
 
 int
-msn_tlvlist_replace_8(GSList **list, const guint8 type, const guint8 value)
+msn_tlvlist_replace_8(GSList **list, const guint16 type, const guint8 value)
 {
 	char v8[1];
 
@@ -285,7 +268,7 @@
 }
 
 int
-msn_tlvlist_replace_32(GSList **list, const guint8 type, const guint32 value)
+msn_tlvlist_replace_32(GSList **list, const guint16 type, const guint32 value)
 {
 	char v32[4];
 
@@ -294,14 +277,8 @@
 	return msn_tlvlist_replace_raw(list, type, 4, v32);
 }
 
-int
-msn_tlvlist_replace_tlv(GSList **list, const msn_tlv_t *tlv)
-{
-	return msn_tlvlist_replace_raw(list, tlv->type, tlv->length, (const char *)tlv->value);
-}
-
 void
-msn_tlvlist_remove(GSList **list, const guint8 type)
+msn_tlvlist_remove(GSList **list, const guint16 type)
 {
 	GSList *cur, *next;
 	msn_tlv_t *tlv;
@@ -325,50 +302,35 @@
 	}
 }
 
-char *
-msn_tlvlist_write(GSList *list, size_t *out_len)
+int
+msn_tlvlist_write(char *bs, size_t bs_len, GSList *list)
 {
-	char *buf;
-	char *tmp;
-	size_t bytes_left;
-	size_t total_len;
-
-	tmp = buf = g_malloc(256);
-	bytes_left = total_len = 256;
-
-	for (; list; list = g_slist_next(list)) {
-		msn_tlv_t *tlv = (msn_tlv_t *)list->data;
-
-		if (G_UNLIKELY(tlv->length + 2 > bytes_left)) {
-			buf = g_realloc(buf, total_len + 256);
-			bytes_left += 256;
-			total_len += 256;
-			tmp = buf + (total_len - bytes_left);
-		}
-
-		msn_push8(tmp, tlv->type);
-		msn_push8(tmp, tlv->length);
-		memcpy(tmp, tlv->value, tlv->length);
-		tmp += tlv->length;
+#if 0
+	int goodbuflen;
+	GSList *cur;
+	msn_tlv_t *tlv;
 
-		bytes_left -= (tlv->length + 2);
-	}
+	/* do an initial run to test total length */
+	goodbuflen = msn_tlvlist_size(*list);
 
-	/* Align length to multiple of 4 */
-	total_len = total_len - bytes_left;
-	bytes_left = 4 - total_len % 4;
-	if (bytes_left != 4)
-		memset(tmp, 0, bytes_left);
-	else
-		bytes_left = 0;
+	if (goodbuflen > byte_stream_bytes_left(bs))
+		return 0; /* not enough buffer */
 
-	*out_len = total_len + bytes_left;
+	/* do the real write-out */
+	for (cur = *list; cur; cur = cur->next) {
+		tlv = cur->data;
+		byte_stream_put16(bs, tlv->type);
+		byte_stream_put16(bs, tlv->length);
+		if (tlv->length > 0)
+			byte_stream_putraw(bs, tlv->value, tlv->length);
+	}
 
-	return buf;
+#endif
+	return 0; /* TODO: This is a nonsensical return */
 }
 
 msn_tlv_t *
-msn_tlv_gettlv(GSList *list, const guint8 type, const int nth)
+msn_tlv_gettlv(GSList *list, const guint16 type, const int nth)
 {
 	msn_tlv_t *tlv;
 	int i;
@@ -385,7 +347,7 @@
 }
 
 int
-msn_tlv_getlength(GSList *list, const guint8 type, const int nth)
+msn_tlv_getlength(GSList *list, const guint16 type, const int nth)
 {
 	msn_tlv_t *tlv;
 
@@ -409,7 +371,7 @@
 }
 
 char *
-msn_tlv_getstr(GSList *list, const guint8 type, const int nth)
+msn_tlv_getstr(GSList *list, const guint16 type, const int nth)
 {
 	msn_tlv_t *tlv;
 
@@ -421,7 +383,7 @@
 }
 
 guint8
-msn_tlv_get8(GSList *list, const guint8 type, const int nth)
+msn_tlv_get8(GSList *list, const guint16 type, const int nth)
 {
 	msn_tlv_t *tlv;
 
@@ -433,7 +395,7 @@
 }
 
 guint16
-msn_tlv_get16(GSList *list, const guint8 type, const int nth)
+msn_tlv_get16(GSList *list, const guint16 type, const int nth)
 {
 	msn_tlv_t *tlv;
 
@@ -445,7 +407,7 @@
 }
 
 guint32
-msn_tlv_get32(GSList *list, const guint8 type, const int nth)
+msn_tlv_get32(GSList *list, const guint16 type, const int nth)
 {
 	msn_tlv_t *tlv;
 
diff -ru extract/pidgin-2.10.9/libpurple/protocols/msn/tlv.h libpurple/protocols/msn/tlv.h
--- extract/pidgin-2.10.9/libpurple/protocols/msn/tlv.h	2014-02-02 22:29:18.000000000 +0100
+++ libpurple/protocols/msn/tlv.h	2015-05-04 13:42:04.496970477 +0200
@@ -38,12 +38,12 @@
 /* TLV handling functions */
 char *msn_tlv_getvalue_as_string(msn_tlv_t *tlv);
 
-msn_tlv_t *msn_tlv_gettlv(GSList *list, const guint8 type, const int nth);
-int msn_tlv_getlength(GSList *list, const guint8 type, const int nth);
-char *msn_tlv_getstr(GSList *list, const guint8 type, const int nth);
-guint8 msn_tlv_get8(GSList *list, const guint8 type, const int nth);
-guint16 msn_tlv_get16(GSList *list, const guint8 type, const int nth);
-guint32 msn_tlv_get32(GSList *list, const guint8 type, const int nth);
+msn_tlv_t *msn_tlv_gettlv(GSList *list, const guint16 type, const int nth);
+int msn_tlv_getlength(GSList *list, const guint16 type, const int nth);
+char *msn_tlv_getstr(GSList *list, const guint16 type, const int nth);
+guint8 msn_tlv_get8(GSList *list, const guint16 type, const int nth);
+guint16 msn_tlv_get16(GSList *list, const guint16 type, const int nth);
+guint32 msn_tlv_get32(GSList *list, const guint16 type, const int nth);
 
 /* TLV list handling functions */
 GSList *msn_tlvlist_read(const char *bs, size_t bs_len);
@@ -52,26 +52,24 @@
 int msn_tlvlist_count(GSList *list);
 size_t msn_tlvlist_size(GSList *list);
 gboolean msn_tlvlist_equal(GSList *one, GSList *two);
-char *msn_tlvlist_write(GSList *list, size_t *out_len);
+int msn_tlvlist_write(char *bs, size_t bs_len, GSList *list);
 void msn_tlvlist_free(GSList *list);
 
-int msn_tlvlist_add_raw(GSList **list, const guint8 type, const guint8 length, const char *value);
-int msn_tlvlist_add_empty(GSList **list, const guint8 type);
-int msn_tlvlist_add_8(GSList **list, const guint8 type, const guint8 value);
-int msn_tlvlist_add_16(GSList **list, const guint8 type, const guint16 value);
-int msn_tlvlist_add_32(GSList **list, const guint8 type, const guint32 value);
-int msn_tlvlist_add_str(GSList **list, const guint8 type, const char *value);
-int msn_tlvlist_add_tlv(GSList **list, const msn_tlv_t *tlv);
-
-int msn_tlvlist_replace_raw(GSList **list, const guint8 type, const guint8 lenth, const char *value);
-int msn_tlvlist_replace_str(GSList **list, const guint8 type, const char *str);
-int msn_tlvlist_replace_empty(GSList **list, const guint8 type);
-int msn_tlvlist_replace_8(GSList **list, const guint8 type, const guint8 value);
-int msn_tlvlist_replace_16(GSList **list, const guint8 type, const guint16 value);
-int msn_tlvlist_replace_32(GSList **list, const guint8 type, const guint32 value);
-int msn_tlvlist_replace_tlv(GSList **list, const msn_tlv_t *tlv);
+int msn_tlvlist_add_raw(GSList **list, const guint16 type, const guint16 length, const char *value);
+int msn_tlvlist_add_empty(GSList **list, const guint16 type);
+int msn_tlvlist_add_8(GSList **list, const guint16 type, const guint8 value);
+int msn_tlvlist_add_16(GSList **list, const guint16 type, const guint16 value);
+int msn_tlvlist_add_32(GSList **list, const guint16 type, const guint32 value);
+int msn_tlvlist_add_str(GSList **list, const guint16 type, const char *value);
+
+int msn_tlvlist_replace_raw(GSList **list, const guint16 type, const guint16 lenth, const char *value);
+int msn_tlvlist_replace_str(GSList **list, const guint16 type, const char *str);
+int msn_tlvlist_replace_empty(GSList **list, const guint16 type);
+int msn_tlvlist_replace_8(GSList **list, const guint16 type, const guint8 value);
+int msn_tlvlist_replace_16(GSList **list, const guint16 type, const guint16 value);
+int msn_tlvlist_replace_32(GSList **list, const guint16 type, const guint32 value);
 
-void msn_tlvlist_remove(GSList **list, const guint8 type);
+void msn_tlvlist_remove(GSList **list, const guint16 type);
 
 #endif /* MSN_TLV_H */
 
Only in extract/pidgin-2.10.9/libpurple/protocols: mxit
Only in libpurple/protocols/myspace: Makefile.in
Only in libpurple/protocols/myspace: moz.build
Only in libpurple/protocols: netsoul
Only in libpurple/protocols/novell: Makefile.in
Only in libpurple/protocols/novell: moz.build
diff -ru extract/pidgin-2.10.9/libpurple/protocols/novell/nmconn.c libpurple/protocols/novell/nmconn.c
--- extract/pidgin-2.10.9/libpurple/protocols/novell/nmconn.c	2014-02-02 22:29:19.000000000 +0100
+++ libpurple/protocols/novell/nmconn.c	2015-05-04 13:42:04.544970475 +0200
@@ -19,7 +19,9 @@
  */
 
 #include <glib.h>
+#ifndef _MSC_VER
 #include <unistd.h>
+#endif
 #include <errno.h>
 #include <string.h>
 #include <ctype.h>
Only in libpurple/protocols/null: Makefile.in
Only in libpurple/protocols/null: moz.build
diff -ru extract/pidgin-2.10.9/libpurple/protocols/null/nullprpl.c libpurple/protocols/null/nullprpl.c
--- extract/pidgin-2.10.9/libpurple/protocols/null/nullprpl.c	2014-02-02 22:29:19.000000000 +0100
+++ libpurple/protocols/null/nullprpl.c	2015-05-04 13:42:04.552970475 +0200
@@ -67,6 +67,9 @@
 #include "util.h"
 #include "version.h"
 
+/* Disable gettext for the null-prpl, it will never be translated... */
+#undef _
+#define _(String) (String)
 
 #define NULLPRPL_ID "prpl-null"
 static PurplePlugin *_null_protocol = NULL;
@@ -172,7 +175,8 @@
         !strcmp(status_id, NULL_STATUS_AWAY) ||
         !strcmp(status_id, NULL_STATUS_OFFLINE)) {
       purple_debug_info("nullprpl", "%s sees that %s is %s: %s\n",
-                        from_username, to_username, status_id, message);
+                        from_username, to_username, status_id,
+                        message ? message : "");
       purple_prpl_got_user_status(from->account, to_username, status_id,
                                   (message) ? "message" : NULL, message, NULL);
     } else {
@@ -364,6 +368,9 @@
 
   purple_debug_info("nullprpl", "logging in %s\n", acct->username);
 
+  if (!strcmp(acct->username, "crash@test"))
+    *((int *) NULL) = 42;
+
   purple_connection_update_progress(gc, _("Connecting"),
                                     0,   /* which connection step this is */
                                     2);  /* total number of steps */
@@ -522,8 +529,12 @@
 
 static void nullprpl_set_status(PurpleAccount *acct, PurpleStatus *status) {
   const char *msg = purple_status_get_attr_string(status, "message");
-  purple_debug_info("nullprpl", "setting %s's status to %s: %s\n",
-                    acct->username, purple_status_get_name(status), msg);
+  if (msg)
+    purple_debug_info("nullprpl", "setting %s's status to %s: %s\n",
+		      acct->username, purple_status_get_name(status), msg);
+  else
+    purple_debug_info("nullprpl", "setting %s's status to %s\n",
+		      acct->username, purple_status_get_name(status));
 
   foreach_nullprpl_gc(report_status_change, get_nullprpl_gc(acct->username),
                       NULL);
diff -ru extract/pidgin-2.10.9/libpurple/protocols/oscar/authorization.c libpurple/protocols/oscar/authorization.c
--- extract/pidgin-2.10.9/libpurple/protocols/oscar/authorization.c	2014-02-02 22:29:19.000000000 +0100
+++ libpurple/protocols/oscar/authorization.c	2015-05-04 13:42:04.552970475 +0200
@@ -93,12 +93,16 @@
 oscar_auth_dontgrant_msgprompt(gpointer cbdata)
 {
 	struct name_data *data = cbdata;
+#if 0
 	purple_request_input(data->gc, NULL, _("Authorization Denied Message:"),
 					   NULL, _("No reason given."), TRUE, FALSE, NULL,
 					   _("_OK"), G_CALLBACK(oscar_auth_dontgrant),
 					   _("_Cancel"), G_CALLBACK(oscar_free_name_data),
 					   purple_connection_get_account(data->gc), data->name, NULL,
 					   data);
+#else
+	oscar_auth_dontgrant(data, NULL);
+#endif
 }
 
 void
diff -ru extract/pidgin-2.10.9/libpurple/protocols/oscar/family_locate.c libpurple/protocols/oscar/family_locate.c
--- extract/pidgin-2.10.9/libpurple/protocols/oscar/family_locate.c	2014-02-02 22:29:19.000000000 +0100
+++ libpurple/protocols/oscar/family_locate.c	2015-05-04 13:42:04.564970475 +0200
@@ -567,7 +567,7 @@
 aim_userinfo_t *aim_locate_finduserinfo(OscarData *od, const char *bn) {
 	aim_userinfo_t *cur = NULL;
 
-	if (bn == NULL)
+	if (bn == NULL || od == NULL)
 		return NULL;
 
 	cur = od->locate.userinfo;
diff -ru extract/pidgin-2.10.9/libpurple/protocols/oscar/libaim.c libpurple/protocols/oscar/libaim.c
--- extract/pidgin-2.10.9/libpurple/protocols/oscar/libaim.c	2014-02-02 22:29:19.000000000 +0100
+++ libpurple/protocols/oscar/libaim.c	2015-05-04 13:42:04.568970474 +0200
@@ -142,10 +142,13 @@
 	NULL
 };
 
+gboolean purple_init_icq_plugin(void);
+
 static void
 init_plugin(PurplePlugin *plugin)
 {
 	oscar_init(plugin, FALSE);
+	purple_init_icq_plugin();
 }
 
-PURPLE_INIT_PLUGIN(aim, init_plugin, info);
+PURPLE_INIT_PLUGIN(oscar, init_plugin, info)
diff -ru extract/pidgin-2.10.9/libpurple/protocols/oscar/libicq.c libpurple/protocols/oscar/libicq.c
--- extract/pidgin-2.10.9/libpurple/protocols/oscar/libicq.c	2014-02-02 22:29:19.000000000 +0100
+++ libpurple/protocols/oscar/libicq.c	2015-05-04 13:42:04.568970474 +0200
@@ -24,7 +24,9 @@
  * which contains all the shared implementation code with libaim
  */
 
-
+#ifndef PURPLE_STATIC_PRPL
+#define PURPLE_STATIC_PRPL
+#endif
 #include "oscarcommon.h"
 
 static GHashTable *
Only in libpurple/protocols/oscar: Makefile.in
Only in libpurple/protocols/oscar: moz.build
diff -ru extract/pidgin-2.10.9/libpurple/protocols/oscar/oscar.c libpurple/protocols/oscar/oscar.c
--- extract/pidgin-2.10.9/libpurple/protocols/oscar/oscar.c	2014-02-02 22:29:19.000000000 +0100
+++ libpurple/protocols/oscar/oscar.c	2015-05-04 13:42:04.576970474 +0200
@@ -350,7 +350,7 @@
 		flap_connection_send_version(od, conn);
 	else
 	{
-		if (purple_account_get_bool(account, "use_clientlogin", OSCAR_DEFAULT_USE_CLIENTLOGIN))
+		if (purple_account_get_bool(account, "use_clientlogin", od->icq ? ICQ_DEFAULT_USE_CLIENTLOGIN : AIM_DEFAULT_USE_CLIENTLOGIN))
 		{
 			ClientInfo aiminfo = CLIENTINFO_PURPLE_AIM;
 			ClientInfo icqinfo = CLIENTINFO_PURPLE_ICQ;
@@ -577,7 +577,7 @@
 
 	gc = data;
 	od = purple_connection_get_protocol_data(gc);
-	report_idle = strcmp((const char *)value, "none") != 0;
+	report_idle = GPOINTER_TO_INT(value);
 	presence = aim_ssi_getpresence(od->ssi.local);
 
 	if (report_idle)
@@ -765,7 +765,7 @@
 	od->use_ssl = purple_ssl_is_supported() && strcmp(encryption_type, OSCAR_NO_ENCRYPTION) != 0;
 
 	/* Connect to core Purple signals */
-	purple_prefs_connect_callback(gc, "/purple/away/idle_reporting", idle_reporting_pref_cb, gc);
+	purple_prefs_connect_callback(gc, "/messenger/status/reportIdle", idle_reporting_pref_cb, gc);
 	purple_prefs_connect_callback(gc, "/plugins/prpl/oscar/recent_buddies", recent_buddies_pref_cb, gc);
 
 	/*
@@ -778,7 +778,7 @@
 	 * This authentication method is used for both ICQ and AIM when
 	 * clientLogin is not enabled.
 	 */
-	if (purple_account_get_bool(account, "use_clientlogin", OSCAR_DEFAULT_USE_CLIENTLOGIN)) {
+	if (purple_account_get_bool(account, "use_clientlogin", od->icq ? ICQ_DEFAULT_USE_CLIENTLOGIN : AIM_DEFAULT_USE_CLIENTLOGIN)) {
 		send_client_login(od, purple_account_get_username(account));
 	} else {
 		FlapConnection *newconn;
@@ -3982,8 +3982,7 @@
 		const char *idle_reporting_pref;
 		gboolean report_idle;
 
-		idle_reporting_pref = purple_prefs_get_string("/purple/away/idle_reporting");
-		report_idle = strcmp(idle_reporting_pref, "none") != 0;
+		report_idle = purple_prefs_get_bool("/messenger/status/reportIdle");
 
 		if (report_idle)
 			aim_ssi_setpresence(od, tmp | AIM_SSI_PRESENCE_FLAG_SHOWIDLE);
@@ -4025,7 +4024,8 @@
 					b = purple_find_buddy_in_group(account, curitem->name, g);
 					if (b) {
 						/* Get server stored alias */
-						purple_blist_alias_buddy(b, alias_utf8);
+						if (!purple_strequal(curitem->name, alias_utf8))
+							purple_blist_alias_buddy(b, alias_utf8);
 					} else {
 						b = purple_buddy_new(account, curitem->name, alias_utf8);
 
@@ -5767,7 +5767,7 @@
 	prpl_info->protocol_options = g_list_append(prpl_info->protocol_options, option);
 
 	option = purple_account_option_bool_new(_("Use clientLogin"), "use_clientlogin",
-			OSCAR_DEFAULT_USE_CLIENTLOGIN);
+			is_icq ? ICQ_DEFAULT_USE_CLIENTLOGIN : AIM_DEFAULT_USE_CLIENTLOGIN);
 	prpl_info->protocol_options = g_list_append(prpl_info->protocol_options, option);
 
 	option = purple_account_option_bool_new(
diff -ru extract/pidgin-2.10.9/libpurple/protocols/oscar/oscarcommon.h libpurple/protocols/oscar/oscarcommon.h
--- extract/pidgin-2.10.9/libpurple/protocols/oscar/oscarcommon.h	2014-02-02 22:29:19.000000000 +0100
+++ libpurple/protocols/oscar/oscarcommon.h	2015-05-04 13:42:04.580970474 +0200
@@ -54,7 +54,8 @@
 #define OSCAR_DEFAULT_WEB_AWARE FALSE
 #define OSCAR_DEFAULT_ALWAYS_USE_RV_PROXY FALSE
 #define OSCAR_DEFAULT_ALLOW_MULTIPLE_LOGINS TRUE
-#define OSCAR_DEFAULT_USE_CLIENTLOGIN TRUE
+#define AIM_DEFAULT_USE_CLIENTLOGIN FALSE
+#define ICQ_DEFAULT_USE_CLIENTLOGIN TRUE
 #define OSCAR_DEFAULT_ENCRYPTION OSCAR_OPPORTUNISTIC_ENCRYPTION
 
 #ifdef _WIN32
Only in libpurple/protocols: prpl.mk
Only in libpurple/protocols: prpl.py
Only in libpurple/protocols: prpl-rules.mk
Only in libpurple/protocols/sametime: Makefile.in
Only in libpurple/protocols/sametime: meanwhile
Only in libpurple/protocols/sametime: moz.build
diff -ru extract/pidgin-2.10.9/libpurple/protocols/sametime/sametime.c libpurple/protocols/sametime/sametime.c
--- extract/pidgin-2.10.9/libpurple/protocols/sametime/sametime.c	2014-02-02 22:29:19.000000000 +0100
+++ libpurple/protocols/sametime/sametime.c	2015-05-04 13:42:04.608970473 +0200
@@ -927,11 +927,6 @@
     return NULL;
   }
 
-  if (!name) {
-    DEBUG_WARN("Can't ensure a null group\n");
-    return NULL;
-  }
-
   DEBUG_INFO("attempting to ensure group %s, called %s\n",
 	     NSTR(name), NSTR(alias));
 
Only in extract/pidgin-2.10.9/libpurple/protocols: silc
Only in extract/pidgin-2.10.9/libpurple/protocols: silc10
Only in libpurple/protocols/simple: Makefile.in
Only in libpurple/protocols/simple: moz.build
Only in libpurple/protocols: sipe
Only in libpurple/protocols: xpcomModule.cpp.in
diff -ru extract/pidgin-2.10.9/libpurple/protocols/yahoo/libyahoo.c libpurple/protocols/yahoo/libyahoo.c
--- extract/pidgin-2.10.9/libpurple/protocols/yahoo/libyahoo.c	2014-02-02 22:29:19.000000000 +0100
+++ libpurple/protocols/yahoo/libyahoo.c	2015-05-04 13:42:04.504970477 +0200
@@ -306,6 +306,8 @@
 	NULL
 };
 
+gboolean purple_init_yahoojp_plugin(void);
+
 static void
 init_plugin(PurplePlugin *plugin)
 {
@@ -343,6 +345,7 @@
 
 	purple_signal_connect(purple_get_core(), "uri-handler", plugin,
 		PURPLE_CALLBACK(yahoo_uri_handler), NULL);
+	purple_init_yahoojp_plugin();
 }
 
 PURPLE_INIT_PLUGIN(yahoo, init_plugin, info);
diff -ru extract/pidgin-2.10.9/libpurple/protocols/yahoo/libyahoojp.c libpurple/protocols/yahoo/libyahoojp.c
--- extract/pidgin-2.10.9/libpurple/protocols/yahoo/libyahoojp.c	2014-02-02 22:29:19.000000000 +0100
+++ libpurple/protocols/yahoo/libyahoojp.c	2015-05-04 13:42:04.504970477 +0200
@@ -21,6 +21,9 @@
  *
  */
 
+#ifndef PURPLE_STATIC_PRPL
+#define PURPLE_STATIC_PRPL
+#endif
 #include "internal.h"
 
 #include <account.h>
diff -ru extract/pidgin-2.10.9/libpurple/protocols/yahoo/libymsg.c libpurple/protocols/yahoo/libymsg.c
--- extract/pidgin-2.10.9/libpurple/protocols/yahoo/libymsg.c	2014-02-02 22:29:19.000000000 +0100
+++ libpurple/protocols/yahoo/libymsg.c	2015-05-04 13:42:04.508970477 +0200
@@ -1363,12 +1363,15 @@
 static void
 yahoo_buddy_add_deny_reason_cb(gpointer data) {
 	struct yahoo_add_request *add_req = data;
+	yahoo_buddy_add_deny_cb(add_req, NULL);
+	/*
 	purple_request_input(add_req->gc, NULL, _("Authorization denied message:"),
 			NULL, _("No reason given."), TRUE, FALSE, NULL,
 			_("OK"), G_CALLBACK(yahoo_buddy_add_deny_cb),
 			_("Cancel"), G_CALLBACK(yahoo_buddy_add_deny_noreason_cb),
 			purple_connection_get_account(add_req->gc), add_req->who, NULL,
 			add_req);
+	*/
 }
 
 static void yahoo_buddy_denied_our_add(PurpleConnection *gc, const char *who, const char *reason)
Only in libpurple/protocols/yahoo: Makefile.in
Only in libpurple/protocols/yahoo: moz.build
diff -ru extract/pidgin-2.10.9/libpurple/protocols/yahoo/util.c libpurple/protocols/yahoo/util.c
--- extract/pidgin-2.10.9/libpurple/protocols/yahoo/util.c	2014-02-02 22:29:19.000000000 +0100
+++ libpurple/protocols/yahoo/util.c	2015-05-04 13:42:04.508970477 +0200
@@ -498,11 +498,13 @@
 			 */
 			int size, htmlsize;
 			gchar tmp[11];
+			gchar *tmp2 = g_strdup_printf("font-size: %spt", fontsize);
 			size = strtol(fontsize, NULL, 10);
 			htmlsize = point_to_html(size);
 			sprintf(tmp, "%u", htmlsize);
 			xmlnode_set_attrib(*cur, "size", tmp);
-			xmlnode_set_attrib(*cur, "absz", fontsize);
+			xmlnode_set_attrib(*cur, "style", tmp2);
+			g_free(tmp2);
 #endif /* !USE_CSS_FORMATTING */
 			g_free(fontsize);
 		}
Only in extract/pidgin-2.10.9/libpurple/protocols: zephyr
diff -ru extract/pidgin-2.10.9/libpurple/proxy.c libpurple/proxy.c
--- extract/pidgin-2.10.9/libpurple/proxy.c	2014-02-02 22:29:19.000000000 +0100
+++ libpurple/proxy.c	2015-05-04 13:42:04.544970475 +0200
@@ -285,6 +285,7 @@
 	return param;
 }
 
+#if 0
 static PurpleProxyInfo *
 purple_gnome_proxy_get_info(void)
 {
@@ -415,6 +416,7 @@
 
 	return &info;
 }
+#endif
 
 #ifdef _WIN32
 
@@ -2265,9 +2267,11 @@
 			gpi = NULL;
 	}
 	if (gpi == NULL) {
+#if 0
 		if (purple_running_gnome())
 			gpi = purple_gnome_proxy_get_info();
 		else
+#endif
 			gpi = purple_global_proxy_get_info();
 	}
 
@@ -2589,6 +2593,7 @@
 	}
 }
 
+#if 0
 static void
 proxy_pref_cb(const char *name, PurplePrefType type,
 			  gconstpointer value, gpointer data)
@@ -2624,6 +2629,7 @@
 	else if (purple_strequal(name, "/purple/proxy/password"))
 		purple_proxy_info_set_password(info, value);
 }
+#endif
 
 void *
 purple_proxy_get_handle()
@@ -2643,13 +2649,16 @@
 
 	/* Proxy */
 	purple_prefs_add_none("/purple/proxy");
+#if 0
 	purple_prefs_add_string("/purple/proxy/type", "none");
 	purple_prefs_add_string("/purple/proxy/host", "");
 	purple_prefs_add_int("/purple/proxy/port", 0);
 	purple_prefs_add_string("/purple/proxy/username", "");
 	purple_prefs_add_string("/purple/proxy/password", "");
+#endif
 	purple_prefs_add_bool("/purple/proxy/socks4_remotedns", FALSE);
 
+#if 0
 	/* Setup callbacks for the preferences. */
 	handle = purple_proxy_get_handle();
 	purple_prefs_connect_callback(handle, "/purple/proxy/type", proxy_pref_cb,
@@ -2669,6 +2678,7 @@
 	purple_prefs_trigger_callback("/purple/proxy/port");
 	purple_prefs_trigger_callback("/purple/proxy/username");
 	purple_prefs_trigger_callback("/purple/proxy/password");
+#endif
 }
 
 void
diff -ru extract/pidgin-2.10.9/libpurple/proxy.h libpurple/proxy.h
--- extract/pidgin-2.10.9/libpurple/proxy.h	2014-02-02 22:29:19.000000000 +0100
+++ libpurple/proxy.h	2015-05-04 13:42:04.544970475 +0200
@@ -195,6 +195,13 @@
  */
 void purple_global_proxy_set_info(PurpleProxyInfo *info);
 
+/**
+ * Set purple's global proxy information.
+ *
+ * @param info     The proxy information.
+ */
+void purple_global_proxy_set_info(PurpleProxyInfo *info);
+
 /*@}*/
 
 /**************************************************************************/
diff -ru extract/pidgin-2.10.9/libpurple/prpl.c libpurple/prpl.c
--- extract/pidgin-2.10.9/libpurple/prpl.c	2014-02-02 22:29:19.000000000 +0100
+++ libpurple/prpl.c	2015-05-04 13:42:04.548970475 +0200
@@ -382,6 +382,9 @@
 	g_return_if_fail(new_status != NULL);
 	g_return_if_fail(!purple_status_is_exclusive(new_status) || old_status != NULL);
 
+	purple_signal_emit(purple_accounts_get_handle(), "account-status-changing",
+					account, old_status, new_status);
+
 	do_prpl_change_account_status(account, old_status, new_status);
 
 	purple_signal_emit(purple_accounts_get_handle(), "account-status-changed",
diff -ru extract/pidgin-2.10.9/libpurple/prpl.h libpurple/prpl.h
--- extract/pidgin-2.10.9/libpurple/prpl.h	2014-02-02 22:29:19.000000000 +0100
+++ libpurple/prpl.h	2015-05-04 13:42:04.548970475 +0200
@@ -72,7 +72,6 @@
 #include "conversation.h"
 #include "ft.h"
 #include "imgstore.h"
-#include "media.h"
 #include "notify.h"
 #include "proxy.h"
 #include "plugin.h"
@@ -80,7 +79,6 @@
 #include "status.h"
 #include "whiteboard.h"
 
-
 /** @copydoc PurpleBuddyIconSpec */
 struct _PurpleBuddyIconSpec {
 	/** This is a comma-delimited list of image formats or @c NULL if icons
Only in extract/pidgin-2.10.9/libpurple: purple.h
Only in extract/pidgin-2.10.9/libpurple: purple.h.in
Only in extract/pidgin-2.10.9/libpurple: purple.pc.in
Only in libpurple: purple-prefs.js
